library IEEE;
use IEEE. std_logic_1164.all;
use IEEE. std_logic_unsigned. all;

entity addc7 is
port(
		A : in std_logic_vector(6 downto 0);
        B : in std_logic_vector(6 downto 0);
		Y : out std_logic_vector(6 downto 0);
		ci : in std_logic;
		co : out std_logic
	);
end;


architecture RTL of addc7 is
signal AA : std_logic_vector(8 downto 0);
signal BB : std_logic_vector(8 downto 0);
signal AB : std_logic_vector(8 downto 0);

begin
	AA <= '0' & A & ci;
	BB <= '0' & B & '1';
	AB <= AA + BB;
	co <= AB(8);
	Y <= AB(7 downto 1);
end;

