library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned. all;

entity bcd22bin is
  port(hi,lo : in  std_logic_vector(3 downto 0);
       y     : out std_logic_vector(6 downto 0) );
end bcd22bin;

architecture RTL of bcd22bin is
signal tmp : std_logic_vector(3 downto 0);
signal hin,lon : std_logic_vector(3 downto 0);
begin
  hin <= not hi;
  lon <= not lo;
  tmp  <= hin + lon(3 downto 1);                       -- 4 bit addition
  y(6 downto 3) <= hin(3 downto 0) + tmp(3 downto 2);  -- 4 bit additopn
  y(2 downto 1) <= tmp(1 downto 0);         
  y(0) <= lon(0);
end RTL;
