library IEEE;
use IEEE. std_logic_1164.all;
use IEEE. std_logic_unsigned. all;
entity CNT7 is
  port(
       q:out std_logic_vector(6 downto 0);
       enb,clk,rst:in std_logic );
end CNT7;


architecture RTL of CNT7 is

signal cnt:std_logic_vector(6 downto 0);

begin
  q<=cnt;
  process(clk)begin
    if(clk'event and clk='1')then
      if(rst='1')then
        cnt<="0000000";
      else
        if(enb='1')then
          cnt<=cnt+1;       
        end if;
      end if;
    end if;
  end process;
end RTL;
