library IEEE;
use IEEE. std_logic_1164.all;

entity REG7 is
  port(data:in std_logic_vector(6 downto 0);
       q:out std_logic_vector(6 downto 0);
       clk,rst:in std_logic );
end REG7;


architecture RTL of REG7 is

signal cnt:std_logic_vector(6 downto 0);

begin
  q<=cnt;
  process(clk)begin
    if(clk'event and clk='1')then
      if(rst='1')then
        cnt<="0000000";
      else
        cnt<=data;
      end if;
    end if;
  end process;
end RTL;
